
#include "Message.pb.h"
#include "TestMessage.pb.h"
#include "WhisperCom/Service.hpp"
#include <memory>
#include <thread>
#define LOGURU_WITH_STREAMS 1
#include <loguru.hpp>

int main(int argc, char **argv)
{
    using namespace std::chrono_literals;
    WhisperCom::Service service{};

    for (int i = 1; i< argc; i++)
    {
        service.subscribe(argv[i]);
    }

    while(1)
    {
        std::shared_ptr<WhisperCom::Protobuf::Message> message;
        if (service.waitForMessage(std::chrono::milliseconds(300), message))
        {
            
        }

    }

    
    
    DLOG_S(INFO) << "programm terminated";
    return 0;
}